//Place big columns
union {
  object {Column 
    scale 1/6
    scale <15,30,15>
    translate <35,0,55>
  } 
  object {Column 
    scale 1/6
    scale <15,30,15>
    translate <50,0,55>
  }
  object {Column 
    scale 1/6
    scale <15,30,15>
    translate <65,0,55>
  }
  object {Column 
    scale 1/6
    scale <15,30,15>
    translate <35,0,22.5>
  } 
  object {Column 
    scale 1/6
    scale <15,30,15>
    translate <50,0,22.5>
  }
  object {Column 
    scale 1/6
    scale <15,30,15>
    translate <65,0,22.5>
  }

  texture {T_Stone21 scale 2}

}
                 
//Place gas pipes
union {
  object {GasPipe 
    translate <35,8,50>
  } 
  object {GasPipe
    translate <50,8,50>
  }
  object {GasPipe
    translate <65,8,50>
  }
  object {GasPipe
    translate <35,8,27.5>
  } 
  object {GasPipe
    translate <50,8,27.5>
  }
  object {GasPipe
    translate <65,8,27.5>
  }
  texture { T_Silver_2D }  
}


//Place Flames
#if(decayClock<.95)
  #declare scaler = 1;
#else
  #declare scaler = 1-(decayClock-.95)/.05;
#end
  
#if (flameCount>0)
  object {FlameLight rotate 60*y
    scale scaler
    translate <35,8,50>
  } 
  object {FlameLight rotate 120*y
    scale scaler
    translate <50,8,50>
  }
  object {FlameLight rotate 180*y
    scale scaler
    translate <65,8,50>
  }
  object {FlameLight rotate 240*y
    scale scaler
    translate <35,8,27.5>
  } 
  object {FlameLight rotate 200*y
    scale scaler
    translate <50,8,27.5>
  }
  object {FlameLight //rotate 360*y
    scale scaler
    translate <65,8,27.5>
  }
  
  #switch (decayClock)
    #range (.75,.8)
      #declare cupClock=((decayClock-.75)/.05); 
      object {FlameLight rotate 180*y*cupClock
        scale <.5,.5*sin(radians(180*cupClock))+.001,.5>
        translate <70, 6.65, 36.85>
      }
      #break
  #end
#end


//Place Steps
union {
  box { <65, 0, 30> <80,1,47.5> }
  box { <66, 1, 31> <80,2,46.5> }
  box { <67, 2, 32> <80,3,45.5> }
  texture {T_Stone21 scale 3}
}


//Place rug on wall
box { 0 <1,1,-.01>
  hollow on 
  pigment {color rgbt <1,1,1,1> }
  pigment {image_map { png "DecayRug2.png" }}
  rotate <0,-90,0>
  scale <1,25,15> translate <77.4,3,31.25>
}


//place table
box {<38,3,36.75> <56,2.8,40.75> texture {Yellow_Pine rotate <10,90,0> scale 2 }}
//Place runner on table
box { 0 <1,1,-.01> 
  pigment {color rgbt <1,1,1,1> }
  pigment {image_map { png "DecayRug3.png" }}
  rotate <90,90,0>
  translate 1*z scale <17,1,3> translate <38.5,3.001,37.25>
}


plane { y, 0.0005 texture {T_Stone8 scale 3} finish {Shiny}}

object { Throne texture {  T_Grnt23a  } rotate 90*y translate <70,3,38.75> }

object {Chalice scale .7 translate <70, 6.45, 36.85> texture {T_Silver_1D} }
